## kcalcore 18.04.3

=== debian/control ===
Source: kcalcore
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: bison,
               cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libical2-dev | libical-dev,
               libkf5kdelibs4support-dev (>= 5.31.0~),
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/kcalcore
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcalcore
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcalcore

Package: libkf5calendarcore-dev
Section: libdevel
Architecture: any
Depends: libical2-dev | libical-dev,
         libkf5calendarcore5abi1 (= ${binary:Version}),
         libkf5kdelibs4support-dev (>= 5.31.0~),
         ${misc:Depends},
Description: development files for kcalcore
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.
 .
 This package contains the development files.

Package: libkf5calendarcore5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5CalendarCore
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: calendar access framework
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.
