## kcalcore 18.08.3.1+qtbuild

=== debian/changelog ===
kcalcore (4:18.08.3.1+qtbuild-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 22 Feb 2021 17:22:14 +0800
