=== debian/control ===
Source: kcalcore
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: bison,
               cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.47.0~),
               libical-dev (>= 2.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.9.0~),
Standards-Version: 4.3.0
Homepage: https://projects.kde.org/projects/kde/pim/kcalcore
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcalcore
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcalcore.git

Package: libkf5calendarcore-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5calendarcore5abi2 (= ${binary:Version}),
         qtbase5-dev (>= 5.9.0~),
         ${misc:Depends},
Description: development files for kcalcore
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.
 .
 This package contains the development files.
Breaks: libkf5akonadicalendar-dev (<< 4:17.08),
        libkf5akonadicontact-dev (<< 4:17.08),
        libkf5akonadisearch-dev (<< 4:17.08),
        libkf5alarmcalendar-dev (<< 4:17.08),
        libkf5blog-dev (<< 4:17.08),
        libkf5calendarutils-dev (<< 4:17.08),
        libkf5incidenceeditor-dev (<< 17.08),
        libkf5tnef-dev (<< 4:17.08),

Package: libkf5calendarcore5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5CalendarCore
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: calendar access framework
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.
Breaks: akonadiconsole (<< 4:17.08),
        kalarm (<< 4:17.08),
        kdepim-addons (<< 17.08),
        kdepim-runtime (<< 4:17.08),
        kmail (<< 4:17.08),
        knotes (<< 4:17.08),
        konsolekalendar (<< 4:17.08),
        korganizer (<< 4:17.08),
        libkf5akonadicalendar5 (<< 4:17.08),
        libkf5akonadisearch-bin (<< 4:17.08),
        libkf5alarmcalendar5 (<< 4:17.08),
        libkf5blog5 (<< 4:17.08),
        libkf5calendarsupport5 (<< 4:17.08),
        libkf5calendarutils5 (<< 4:17.08),
        libkf5eventviews5 (<< 4:17.08),
        libkf5incidenceeditor-bin (<< 17.08),
        libkf5incidenceeditor5 (<< 17.08),
        libkf5messagecomposer5 (<< 4:17.08),
        libkf5messageviewer5 (<< 4:17.08),
        libkf5tnef5 (<< 4:17.08),
