## kcalcore 18.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.0)
-set(PIM_VERSION "5.9.3")
+set(PIM_VERSION "5.10.3")
 
 project(KCalCore VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF5_VERSION "5.47.0")
+set(KF5_VERSION "5.51.0")
 
 find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${KCalCore_SOURCE_DIR}/cmake)
@@ -12,14 +12,14 @@
 include(GenerateExportHeader)
 include(ECMGenerateHeaders)
 include(ECMGeneratePriFile)
-include(CMakePackageConfigHelpers)
+
 include(ECMSetupVersion)
 include(FeatureSummary)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(ECMQtDeclareLoggingCategory)
-include(ECMCoverageOption)
+
 if(POLICY CMP0053)
   cmake_policy(SET CMP0053 NEW)
 endif()
@@ -52,10 +52,7 @@
   INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
 )
 
-add_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII)
-add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
-add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
-add_definitions(-DQT_USE_QSTRINGBUILDER)
+
 add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
 ########### Targets ###########
 add_subdirectory(src)
