## kcalcore 19.08.3

=== debian/control ===
Source: kcalcore
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: bison,
               cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.60.0~),
               libical-dev (>= 2.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.11.0~)
Standards-Version: 4.4.1
Homepage: https://projects.kde.org/projects/kde/pim/kcalcore
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcalcore
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcalcore.git

Package: libkf5calendarcore-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5calendarcore5abi2 (= ${binary:Version}),
         qtbase5-dev (>= 5.11.0~),
         ${misc:Depends}
Description: development files for kcalcore
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.
 .
 This package contains the development files.

Package: libkf5calendarcore5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5CalendarCore
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: ${ABI:VirtualPackage}
Description: calendar access framework
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.
