=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,17 @@
 #!/usr/bin/make -f
 
+include /usr/share/dpkg/pkg-info.mk
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
+
+AbiVirtualPackageVersion = $(call dpkg_late_eval,AbiVirtualPackageVersion,echo '${DEB_VERSION_UPSTREAM}' | sed -e 's/\.[0-9]\+$$//')
+pkgs_lib = $(filter-out %-dev %-dbg %-bin %-data,$(filter lib%,$(shell dh_listpackages)))
+
+override_dh_makeshlibs:
+	for pkg in $(pkgs_lib); do \
+		name=$$( echo "$${pkg}" | sed -e 's/abi[0-9]\+\s*//'); \
+		echo "ABI:VirtualPackage=$${name}-${AbiVirtualPackageVersion}" >> debian/$${pkg}.substvars; \
+		$(overridden_command) -p$${pkg} -V "$${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
+	done
 
 override_dh_strip:
 	$(overridden_command) --dbgsym-migration='libkf5calendarcore-dbg (<= 4:15.12.0-1~~)'
